package com.zhyc.module.frozen.service;

import java.util.List;
import java.util.Map;

import com.zhyc.module.frozen.domain.DdFe;

/**
 * 冻胚库存Service接口
 *
 * @author ruoyi
 * @date 2025-11-29
 */
public interface IDdFeService {
    /**
     * 查询冻胚库存
     *
     * @param id 冻胚库存主键
     * @return 冻胚库存
     */
    public DdFe selectDdFeById(Long id);

    /**
     * 查询冻胚库存列表
     *
     * @param ddFe 冻胚库存
     * @return 冻胚库存集合
     */
    public List<DdFe> selectDdFeList(DdFe ddFe);

    /**
     * 新增冻胚库存
     *
     * @param ddFe 冻胚库存
     * @return 结果
     */
    public int insertDdFe(DdFe ddFe);

    /**
     * 修改冻胚库存
     *
     * @param ddFe 冻胚库存
     * @return 结果
     */
    public int updateDdFe(DdFe ddFe);

    /**
     * 批量删除冻胚库存
     *
     * @param ids 需要删除的冻胚库存主键集合
     * @return 结果
     */
    public int deleteDdFeByIds(Long[] ids);

    /**
     * 删除冻胚库存信息
     *
     * @param id 冻胚库存主键
     * @return 结果
     */
    public int deleteDdFeById(Long id);

    /**
     * 根据母羊耳号取最近一次冲胚信息
     */
    Map<String, Object> getLastFlushInfoByEwe(String eweNo);

    //    废弃
    int discard(DdFe dto);
}
